Represents a Document, either related to a Report (such as a PDF Report) or related to a Candidate (such as a Driver License image, or a consent form). Report Document IDs can be retrieved from the Retrieve an existing Report endpoint. Candidate Document IDs can be retrieved using the List a Candidate's Documents endpoint.
Use GET /v1/reports/{id}?include=documents to return a Report resource that includes an array of document objects.
Report Documents are of the following types: cdlis_report, drug_screen_donor_pass, drug_alcohol_clearinghouse_query_details_document, pdf_credit_report, pdf_health_report, pdf_individualized_assessment, pdf_report, pdf_report_encrypted, pdf_self_disclosure, pdf_wisconsin_doj, screening_pass, drug_screening_pdf, breath_alcohol_document, breath_alcohol_result_certificate, chain_of_custody_form, drug_result_certificate, occupational_health_screening_pdf, occupational_health_screening_document, occupational_health_screening_result_certificate, occupational_health_medical_examiner_certificate,
Returns an array of candidate-provided Documents for the input candidate_id.
The type of candidate-provided document to return. If types[] is not included in the call, all available Candidate Documents will be returned.
- Mock serverhttps://docs.checkr.com/_mock/apis/openapi/candidates/{candidate_id}/documents
- Staginghttps://api.checkr-staging.com/v1/candidates/{candidate_id}/documents
curl -i -X GET \
-u '<username>:<password>' \
'https://docs.checkr.com/_mock/apis/openapi/candidates/{candidate_id}/documents?types%5B%5D=alien_id'{ "data": [ { … } ], "object": "list", "count": 1 }